Flex 使用swfobject判断FlashPlayer是否安装,以及播放器版本

www.111cn.net 更新:2016-03-14 编辑:tjxionping 来源:转载
下面我们来看一篇关于Flex 使用swfobject判断FlashPlayer是否安装,以及播放器版本的检测例子了,希望此教程能够帮助到各位朋友的哦,各位来看看吧。

我们使用Flash/Flex开发应用,常常把swf放到页面上后会发现当用户电脑 flashplayer 插件没安装,或者播放器版本太低。这时浏览器就一片空白,也没提示,影响用户体验。
借助 swfobject.js,我们可以很方便地通过js判断播放器插件的安装情况,从而提示用户。

1,swfobject下载

GitHub地址:https://github.com/swfobject/swfobject
我们把其中的 swfobject.js 下载下来即可。

2,swfobject的使用

下面代码打开页面时自动判断是否安装flash播放器,如果没有安装或者版本太低(版本10为例)则会提示用户。


<html>
<head>
    <script type="text/javascript" src="http://www.hangge.com/swfobject.js"></script>
 
    <script>
    //flash版本检测
    function CheckFlashPlayer(){
        var version = swfobject.getFlashPlayerVersion();
        if (document.getElementById && version["major"] > 0) {
            if(version['major']<10) {
                alert("你的flash播放器版本过低!请安装flash Player 10版本!");
                return false;
            }
        }else{
            alert("您还未安装flash Player,请安装 flash Player 10版本!");
            return false;
        }
        return true;
    }
 
     CheckFlashPlayer();
    </script>
</head>
<body>
</body>
</html>

如果只是单纯的提示会显得不够人性化,我们最好还要在播放器版本判断不通过的时候,提供个插件链接给用户点击下载,免得用户还要自己上网去找插件:


document.write("<a href='flashplayer_18_ax.exe'>flash播放器版本太低,点击此处安装升级!</a>");

相关内容

    暂无与此文章相关内容